<?php
namespace nur\sery\schema\input;

/**
 * Class GetInput: accès à des paramètres de formulaire de type GET uniquement
 *
 * cette implémentation lit depuis les paramètres de formulaire et écrit dans
 * une référence
 */
class GetInput extends Input {
  function exists($key=null): bool {
    if ($key === null) return false;
    return array_key_exists($key, $_GET);
  }

  function get($key=null) {
    if ($key === null) return null;
    if (array_key_exists($key, $_GET)) return $_GET[$key];
    else return null;
  }
}
